commit 040b979a08843806ea930a8d839dd94301323ebe
Author: Tamar Christina <tamar.christina@arm.com>
Date:   Thu Sep 5 11:36:02 2024

    testsuite: remove -fwrapv from signbit-5.c
    
    The meaning of the testcase was changed by passing it -fwrapv.  The reason for
    the test failures on some platform was because the test was testing some
    implementation defined behavior wrt INT_MIN in generic code.
    
    Instead of using -fwrapv this just removes the border case from the test so
    all the values now have a defined semantic.  It still relies on the handling of
    shifting a negative value right, but that wasn't changed with -fwrapv anyway.
    
    The -fwrapv case is being handled already by other testcases.
    
    gcc/testsuite/ChangeLog:
    
            * gcc.dg/signbit-5.c: Remove -fwrapv and change INT_MIN to INT_MIN+1.
    
    (cherry picked from commit 67eaf67360e434dd5969e1c66f043e3c751f9f52)

diff --git a/gcc/testsuite/gcc.dg/signbit-5.c b/gcc/testsuite/gcc.dg/signbit-5.c
index 2bca640f930..e778f91ca33 100644
--- a/gcc/testsuite/gcc.dg/signbit-5.c
+++ b/gcc/testsuite/gcc.dg/signbit-5.c
@@ -1,5 +1,5 @@
 /* { dg-do run } */
-/* { dg-options "-O3 -fwrapv" } */
+/* { dg-options "-O3" } */
 
 /* This test does not work when the truth type does not match vector type.  */
 /* { dg-additional-options "-march=armv8-a" { target aarch64_sve } } */
@@ -44,8 +44,8 @@ int main ()
   TYPE a[N];
   TYPE b[N];
 
-  a[0] = INT_MIN;
-  b[0] = INT_MIN;
+  a[0] = INT_MIN+1;
+  b[0] = INT_MIN+1;
 
   for (int i = 1; i < N; ++i)
     {

